Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.html.dom
Class HTMLElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ChildAndParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.html.dom.HTMLElementImpl

Direct Known Subclasses:
  HTMLAnchorElementImpl, HTMLAppletElementImpl, HTMLAreaElementImpl, HTMLBaseElementImpl, HTMLBaseFontElementImpl, HTMLBodyElementImpl, HTMLBRElementImpl, HTMLButtonElementImpl, HTMLDirectoryElementImpl, HTMLDivElementImpl, HTMLDListElementImpl, HTMLFieldSetElementImpl, HTMLFontElementImpl, HTMLFormElementImpl, HTMLFrameElementImpl, HTMLFrameSetElementImpl, HTMLHeadElementImpl, HTMLHeadingElementImpl, HTMLHRElementImpl, HTMLHtmlElementImpl, HTMLIFrameElementImpl, HTMLImageElementImpl, HTMLInputElementImpl, HTMLIsIndexElementImpl, HTMLLabelElementImpl, HTMLLegendElementImpl, HTMLLIElementImpl, HTMLLinkElementImpl, HTMLMapElementImpl, HTMLMenuElementImpl, HTMLMetaElementImpl, HTMLModElementImpl, HTMLObjectElementImpl, HTMLOListElementImpl, HTMLOptGroupElementImpl, HTMLOptionElementImpl, HTMLParagraphElementImpl, HTMLParamElementImpl, HTMLPreElementImpl, HTMLQuoteElementImpl, HTMLScriptElementImpl, HTMLSelectElementImpl, HTMLStyleElementImpl, HTMLTableCaptionElementImpl, HTMLTableCellElementImpl, HTMLTableColElementImpl, HTMLTableElementImpl, HTMLTableRowElementImpl, HTMLTableSectionElementImpl, HTMLTextAreaElementImpl, HTMLTitleElementImpl, HTMLUListElementImpl

public class HTMLElementImpl
extends ElementImpl
implements org.w3c.dom.html.HTMLElement

Implements an HTML-specific element, an `Element` that will only appear inside HTML documents. This element extends `ElementImpl` by adding methods for directly manipulating HTML-specific attributes. All HTML elements gain access to the `id`, `title`, `lang`, `dir` and `class` attributes. Other elements add their own specific attributes.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.3 $ $Date: 2000/02/10 04:00:09 $
Author:
  Assaf Arkin
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `HTMLElement`, Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Method Summary
`java.lang.String` | `getAttribute(java.lang.String attrName)`
`org.w3c.dom.Attr` | `getAttributeNode(java.lang.String attrName)`
`org.w3c.dom.Attr` | `getAttributeNodeNS(java.lang.String namespaceURI, java.lang.String localName)`
`java.lang.String` | `getAttributeNS(java.lang.String namespaceURI, java.lang.String localName)`
`java.lang.String` | `getClassName()`
`java.lang.String` | `getDir()`
`org.w3c.dom.NodeList` | `getElementsByTagName(java.lang.String tagName)`
`org.w3c.dom.NodeList` | `getElementsByTagNameNS(java.lang.String namespaceURI, java.lang.String localName)`
`org.w3c.dom.html.HTMLFormElement` | `getForm()` Convenience method returns the form in which this form element is contained.
`java.lang.String` | `getId()`
`java.lang.String` | `getLang()`
`java.lang.String` | `getTitle()`
`void` | `setClassName(java.lang.String className)`
`void` | `setDir(java.lang.String dir)`
`void` | `setId(java.lang.String id)`
`void` | `setLang(java.lang.String lang)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, removeEventListener, setNodeValue, setPrefix, setUserData, supports, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getId

    public java.lang.String getId()

  Specified by:
    getId in interface org.w3c.dom.html.HTMLElement

### setId

    public void setId(java.lang.String id)

  Specified by:
    setId in interface org.w3c.dom.html.HTMLElement

### getTitle

    public java.lang.String getTitle()

  Specified by:
    getTitle in interface org.w3c.dom.html.HTMLElement

### setTitle

    public void setTitle(java.lang.String title)

  Specified by:
    setTitle in interface org.w3c.dom.html.HTMLElement

### getLang

    public java.lang.String getLang()

  Specified by:
    getLang in interface org.w3c.dom.html.HTMLElement

### setLang

    public void setLang(java.lang.String lang)

  Specified by:
    setLang in interface org.w3c.dom.html.HTMLElement

### getDir

    public java.lang.String getDir()

  Specified by:
    getDir in interface org.w3c.dom.html.HTMLElement

### setDir

    public void setDir(java.lang.String dir)

  Specified by:
    setDir in interface org.w3c.dom.html.HTMLElement

### getClassName

    public java.lang.String getClassName()

  Specified by:
    getClassName in interface org.w3c.dom.html.HTMLElement

### setClassName

    public void setClassName(java.lang.String className)

  Specified by:
    setClassName in interface org.w3c.dom.html.HTMLElement

### getAttributeNode

    public org.w3c.dom.Attr getAttributeNode(java.lang.String attrName)

  Overrides:
    getAttributeNode in class ElementImpl

### getAttributeNodeNS

    public org.w3c.dom.Attr getAttributeNodeNS(java.lang.String namespaceURI,
                                               java.lang.String localName)

  Overrides:
    getAttributeNodeNS in class ElementImpl

### getAttribute

    public java.lang.String getAttribute(java.lang.String attrName)

  Overrides:
    getAttribute in class ElementImpl

### getAttributeNS

    public java.lang.String getAttributeNS(java.lang.String namespaceURI,
                                           java.lang.String localName)

  Overrides:
    getAttributeNS in class ElementImpl

### getElementsByTagName

    public final org.w3c.dom.NodeList getElementsByTagName(java.lang.String tagName)

  Overrides:
    getElementsByTagName in class ElementImpl

### getElementsByTagNameNS

    public final org.w3c.dom.NodeList getElementsByTagNameNS(java.lang.String namespaceURI,
                                                             java.lang.String localName)

  Overrides:
    getElementsByTagNameNS in class ElementImpl

### getForm

    public org.w3c.dom.html.HTMLFormElement getForm()

  Convenience method returns the form in which this form element is contained. This method is exposed for form elements through the DOM API, but other elements have no access to it through the API.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD